Add beta feature switch to FileExporter
Closed, ResolvedPublic

Description

Motivation
FileExporter should become a beta feature first.

Task
Create a beta feature switch for FileExporter

Lea_WMDE created this task.Jun 7 2017, 6:49 AM
Restricted Application added a project: TCB-Team. · View Herald TranscriptJun 7 2017, 6:49 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 361691 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/FileExporter@master] Add BetaFeature Switch

https://gerrit.wikimedia.org/r/361691

Change 361696 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/FileImporter@master] Add Beta Warning

https://gerrit.wikimedia.org/r/361696

WMDE-Fisch added subscribers: Bmueller, WMDE-Fisch.EditedJun 28 2017, 12:02 PM

@Bmueller @Lea_WMDE For TwoColConflict we started using pages in the Help: namespace for the BetaFeatures links e.g. https://www.mediawiki.org/wiki/Help:Two_Column_Edit_Conflict_View we need these pages here as well. For now we could just put links to the extension info page in but before it gets deployed anywhere we should add the proper links.

Created a ticket for it: T169061

WMDE-Fisch renamed this task from Add beta feature switch to FileImporter and FileExporter to Add beta feature switch to FileExporter.Jun 28 2017, 12:09 PM
WMDE-Fisch updated the task description. (Show Details)

Also I split up the task and created a separate task for our "custom beta mode" for the FileImporter, see T169066

Change 361691 merged by jenkins-bot:
[mediawiki/extensions/FileExporter@master] Add BetaFeature Switch

https://gerrit.wikimedia.org/r/361691

Tobi_WMDE_SW closed this task as Resolved.Aug 29 2017, 10:34 AM